var express = require('express');
var app = express();

const cookieParser = require('cookie-parser');
const bodyParser = require('body-parser');

const path = require('path');

var http = require('http').Server(app);
var port = process.env.PORT || 6969;

//const appConfig = require('./config');
//const Lang = require('./public/js/lang');

app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: true }));
app.use(cookieParser()); // Подключаем cookie-parser к вашему приложению

// Routes
require('./routes')(app); 

app.set('view engine', 'ejs');
app.set('views', path.join(__dirname, 'Core/views'));

app.use(express.static(__dirname + '/public'));
// flagAuthorization = false;  //флаг для проверки авторизовался ли пользователь или нет

app.use(express.json());

http.listen(port, function(){
  console.log('listening on *:' + port);
});
